diff --git a/pgadmin/include/utils/favourites.h b/pgadmin/include/utils/favourites.h
index 3666941..ecbee49 100644
--- a/pgadmin/include/utils/favourites.h
+++ b/pgadmin/include/utils/favourites.h
@@ -78,7 +78,8 @@ public:
 	bool ContainsFolder(const wxString &title);
 
 	void saveFolder(xmlTextWriterPtr writer);
-
+	// Re-verifing for the new entires in pgadmin_favourites.xml file before writing into the pgadmin_favourite.xml file
+	void UpdateFavoriteItems(queryFavouriteFolder *favourites);
 	~queryFavouriteFolder();
 protected:
 	queryFavouriteArray favourites;
diff --git a/pgadmin/utils/favourites.cpp b/pgadmin/utils/favourites.cpp
index c6eacc2..d350fe8 100644
--- a/pgadmin/utils/favourites.cpp
+++ b/pgadmin/utils/favourites.cpp
@@ -306,14 +306,21 @@ queryFavouriteFolder *queryFavouriteFileProvider::LoadFavourites(bool emptyonfai
 	xmlTextReaderClose(reader);
 	xmlFreeTextReader(reader);
 	xmlCleanupParser();
-
 	return f;
 }
 
+void queryFavouriteFolder::UpdateFavoriteItems(queryFavouriteFolder *Updated_favourites)
+{
+	Updated_favourites->favourites.Add(favourites.Last());
+	favourites=Updated_favourites->favourites;
+}
+
 void queryFavouriteFileProvider::SaveFavourites(queryFavouriteFolder *favourites)
 {
 	xmlTextWriterPtr writer;
+	// Re-verifying for the new entires in pgadmin_favourites.xml file and updating the current favourites.
 
+	favourites->UpdateFavoriteItems(queryFavouriteFileProvider::LoadFavourites(true));
 	writer = xmlNewTextWriterFilename((const char *)settings->GetFavouritesFile().mb_str(wxConvUTF8), 0);
 	if (!writer)
 	{
